File::IconTheme(3)

NAME
File::IconTheme - find icon directories

VERSION
This document describes File::IconTheme.

SYNOPSIS
    use File::IconTheme qw(xdg_icon_theme_search_dirs);
    print join "\n", xdg_icon_theme_search_dirs;

DESCRIPTION
This module can be used to find directories as specified by the Freedesktop.org Icon Theme Specification. Currently only a tiny (but most useful) part of the specification is implemented.

In case you want to store an icon theme, use the directory returned by:

    use File::BaseDir qw(data_dirs);
    print scalar data_dirs('icons');

INTERFACE

"xdg_icon_theme_search_dirs"
    Returns a list of the base directories of icon themes.

EXPORTS
None by default, but the method can be exported on demand.

CONFIGURATION AND ENVIRONMENT
$XDG_DATA_HOME, $XDG_DATA_DIRS

SEE ALSO
<http://standards.freedesktop.org/icon-theme-spec/>